/* This file is part of Cloudy and is copyright (C)1978-2007 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/**hydro_vs_deexcit compute collision strength for collisional deexcitation for hydrogen atom, 
 * from Vriens and Smeets 
 \param ipISO
 \param nelem
 \param ipHi
 \param ipLo
 */
double hydro_vs_deexcit( long int ipISO,
						 long int nelem,
						 long int ipHi,
						 long int ipLo );

/**hydro_vs_excit compute collision rate for collisional excitation for hydrogen atom, 
 * from Vriens and Smeets 
 \param ipISO
 \param nelem
 \param ipHi
 \param ipLo
 */
double hydro_vs_excit( long int ipISO,
					   long int nelem,
					   long int ipHi,
					   long int ipLo );
/** VS80 stands for Vriens and Smeets 1980<BR>
    This routine calculates thermally-averaged collision strengths.<BR>
    \param ipISO
    \param nelem
    \param ipHi
    \param ipLo
    \param temp
    \param Collider
*/
double CS_VS80( long int ipISO,
			   long int nelem,
			   long int ipHi,
			   long int ipLo,
			   double temp,
			   long int Collider );

/**hydro_vs_ioniz generate hydrogenic collisional ionization rate coefficients 
 * for quantum number n 
  \param ipISO
 \param nelem
 \param level
 */
double hydro_vs_ioniz( long int ipISO, long int nelem, long int level );


/**Hion_coll_ioniz_ratecoef calculate hydrogenic ionization rates for all n, and Z
 \param ipISO the isoelectronic sequence 
 \param nelem element, >=1 since only used for ions<BR>
              nelem = 1 is helium the least possible charge
 \param level 	 principal quantum number, > 1<BR>
		 since only used for excited states<BR> 
		 >>chng 19 dec 02 made this index rather than n...so that Boltzmann factor 
		   and energy are easily retrieved.	
*/
double Hion_coll_ioniz_ratecoef(
		long int ipISO ,
		long int nelem,
		long int level);

/** \todo rm this function */
/**Hion_colldeexc_cs collision strength for collisional de-excitation for any levels of hydrogenic Z
    \param ipHi
    \param ipLo
    \param nelem
    \param ipISO
*/
double Hion_colldeexc_cs(long int ipHi, 
  long int ipLo, 
  long int nelem,
  long int ipISO );
#if 0
#endif 
